import React, { ReactElement, CSSProperties } from "react";
export declare type TGradientDiv = {
    gradientAreaWidth?: number;
    children?: any;
    style?: CSSProperties;
    className?: string;
    tooltip?: string;
    graidentStages?: number[];
    alignment?: "right" | "left";
};
export declare const GradientDiv: (props: TGradientDiv & React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>) => ReactElement;
export default GradientDiv;
