"use strict";
//  Copyright PrimeObjects Software Inc. and other contributors <https://www.primeobjects.com/>
//
//  This source code is licensed under the MIT license.
//  The detail information can be found in the LICENSE file in the root directory of this source tree.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeadMenuDesktopView = void 0;
var react_1 = __importDefault(require("react"));
var lodash_1 = require("lodash");
var menu_title_1 = __importDefault(require("./menu-title"));
var primeobjects_helper_util_1 = require("primeobjects-helper-util");
var HeadMenuDesktopView = function (props) {
    var navigation = props.navigation, color = props.color;
    return (react_1.default.createElement(react_1.default.Fragment, null, (0, lodash_1.map)(navigation, function (menu, idx) {
        return (react_1.default.createElement(menu_title_1.default, { key: idx, title: menu.title, href: menu.href, maxWidth: menu.maxWidth, sections: menu.sections, colorName: (0, primeobjects_helper_util_1.isNonEmptyString)(menu.colorName) ? menu.colorName : color.name }));
    })));
};
exports.HeadMenuDesktopView = HeadMenuDesktopView;
exports.default = exports.HeadMenuDesktopView;
